curl -X GET 'https://app.filemonk.io/api/v1/external/assets/a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
-H 'X-Auth-Token: fm_api_key_your_key_here'
const assetId = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890';
const response = await fetch(
`https://app.filemonk.io/api/v1/external/assets/${assetId}`,
{ headers: { 'X-Auth-Token': 'fm_api_key_your_key_here' } }
);
const data = await response.json();
import requests
asset_id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'
response = requests.get(
f'https://app.filemonk.io/api/v1/external/assets/{asset_id}',
headers={'X-Auth-Token': 'fm_api_key_your_key_here'}
)
data = response.json()
{
"asset": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"type": "external",
"name": "Photoshop Brushes Pack",
"filename": "brushes-pack-v2.zip",
"external_url": "https://cdn.example.com/files/brushes-pack-v2.zip",
"content_type": "application/zip",
"byte_size": 0,
"watermark_asset": false,
"autogenerate_licence_key": false,
"created_at": "2026-03-01T14:30:00Z",
"updated_at": "2026-03-01T14:30:00Z"
}
}
{
"error": "Asset not found"
}
Assets
Get Asset
Retrieve a single asset by its ID.
GET
/
assets
/
{id}
curl -X GET 'https://app.filemonk.io/api/v1/external/assets/a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
-H 'X-Auth-Token: fm_api_key_your_key_here'
const assetId = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890';
const response = await fetch(
`https://app.filemonk.io/api/v1/external/assets/${assetId}`,
{ headers: { 'X-Auth-Token': 'fm_api_key_your_key_here' } }
);
const data = await response.json();
import requests
asset_id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'
response = requests.get(
f'https://app.filemonk.io/api/v1/external/assets/{asset_id}',
headers={'X-Auth-Token': 'fm_api_key_your_key_here'}
)
data = response.json()
{
"asset": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"type": "external",
"name": "Photoshop Brushes Pack",
"filename": "brushes-pack-v2.zip",
"external_url": "https://cdn.example.com/files/brushes-pack-v2.zip",
"content_type": "application/zip",
"byte_size": 0,
"watermark_asset": false,
"autogenerate_licence_key": false,
"created_at": "2026-03-01T14:30:00Z",
"updated_at": "2026-03-01T14:30:00Z"
}
}
{
"error": "Asset not found"
}
Path parameters
string
required
The asset’s unique identifier (UUID).
Response
object
required
The asset object.
Show Asset properties
Show Asset properties
string
required
Unique asset identifier (UUID).
string
required
The asset type:
internal, external, or licence.string | null
Display name of the asset.
string | null
Filename derived from the uploaded file or URL.
string | null
The external URL for
external type assets. null for other types.string | null
MIME type of the asset.
integer
required
File size in bytes.
0 for external and licence assets.boolean
required
Whether watermarking is enabled for this asset.
boolean
required
Whether a licence key is auto-generated on purchase.
string
required
ISO 8601 timestamp of when the asset was created.
string
required
ISO 8601 timestamp of when the asset was last updated.
curl -X GET 'https://app.filemonk.io/api/v1/external/assets/a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
-H 'X-Auth-Token: fm_api_key_your_key_here'
const assetId = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890';
const response = await fetch(
`https://app.filemonk.io/api/v1/external/assets/${assetId}`,
{ headers: { 'X-Auth-Token': 'fm_api_key_your_key_here' } }
);
const data = await response.json();
import requests
asset_id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'
response = requests.get(
f'https://app.filemonk.io/api/v1/external/assets/{asset_id}',
headers={'X-Auth-Token': 'fm_api_key_your_key_here'}
)
data = response.json()
{
"asset": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"type": "external",
"name": "Photoshop Brushes Pack",
"filename": "brushes-pack-v2.zip",
"external_url": "https://cdn.example.com/files/brushes-pack-v2.zip",
"content_type": "application/zip",
"byte_size": 0,
"watermark_asset": false,
"autogenerate_licence_key": false,
"created_at": "2026-03-01T14:30:00Z",
"updated_at": "2026-03-01T14:30:00Z"
}
}
{
"error": "Asset not found"
}